/* mix.css $Id: mix.css,v 1.3 2025/07/07 06:59:08 raifra Rel $
 *
 * CSS-Definitionen für das Kontakt- und das Upload-Formular der Homepage und
 * (wofür es ursprünglich geschrieben wurde) für das Entwickler-Mischungs-
 * Formular.
 *
 * Diese Definition sollte nach "raifra.css" als Stylesheet-Metatag in der
 * jeweiligen HTML-Datei für die Berechnung des Entwickler-Mischverhältnisses
 * eingefügt werden.
 *
 * Rainer Frädrich, www.raifra.de
 *
 */

textarea
{
    padding: 2px 0 2px 2px;
    margin: 0 auto;
    border: 1px solid #c0c0c0;
}

input[type=number]
{
    padding: 2px 0 2px 2px;
    margin: 0 auto;
    border: 1px solid #c0c0c0;
}

input[type=submit]
{
    background-color: #667788;
    color: white;
    padding: 4px 6px;
    margin: 8px 0;
    border: none;
    cursor: pointer;
}

input[type=submit]:hover { background-color: #999999; }

.form-container, .result-container
{
    max-width: 600px;
    width: 90%;
    margin: 0 auto;
    text-align: center;
}

.form-container
{
    padding: 10px 10px 10px 10px;
    margin-bottom: 20px;
}

.title-container, .error-container
{
    margin: 3ex 0 0 0;
    padding: 1ex 1ex 1ex 1ex;
    background-color: #667788;
    color: white;
}

.error-container { background-color: #a03020; }

.info-container
{
    padding: 1ex 1ex 1ex 1ex;
    background-color: #d7d7d7;
    color: black;
}

@media screen
/* @media (prefers-color-scheme: dark) */
{
    .form-container
    {
	padding: 10px 10px 10px 10px;
	margin-bottom: 20px;
    }

    .info-container
    {
	background-color: #888888;
	color: white;
    }
}

